Loading...
Searching...
No Matches
bsoncxx::v_noabi::builder::document Class Reference

`#include <bsoncxx/v_noabi/bsoncxx/builder/list.hpp>`

## Description

A JSON-like builder for creating documents.

## Public Member Functions

| document ()
| Creates an empty document.
| document (initializer_list_t init)
| Creates a BSON document.
Public Member Functions inherited from bsoncxx::v_noabi::builder::list
| list ()
| Creates an empty document.
| list (initializer_list_t init)
| Creates a BSON document, if possible. Otherwise, it will create a BSON array. A document is possible if:
template<typename T>
| list (T value)
| Creates a bsoncxx::v_noabi::builder::list from a value of type T. T must be a bsoncxx::v_noabi::types::bson_value::value or implicitly convertible to a bsoncxx::v_noabi::types::bson_value::value.
| operator types::bson_value::view ()
| Provides a view of the underlying BSON value.
types::bson_value::view | view ()
| Provides a view of the underlying BSON value.

## Constructor & Destructor Documentation

## document() [1/2]

bsoncxx::v_noabi::builder::document::document | ( |  | ) |

inline

Creates an empty document.

## document() [2/2]

bsoncxx::v_noabi::builder::document::document | ( | initializer_list_t | init | ) |

inline

Creates a BSON document.

Parameters

  init | the initializer list used to construct the BSON document

See also
  - bsoncxx::v_noabi::builder::list
  - bsoncxx::v_noabi::builder::array

The documentation for this class was generated from the following file:

- bsoncxx/v_noabi/bsoncxx/builder/list.hpp